Only recommend sssd for 16.04

Bug #1479495 reported by Bryan Quigley on 2015-07-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Server Guide
Wishlist
Andreas Hasenack

Bug Description

Remove suggestions to install libnss-ldap and friends* as they have been dropped from main.

Pages affected:
https://help.ubuntu.com/lts/serverguide/samba-ldap.html
https://help.ubuntu.com/lts/serverguide/openldap-server.html

Source files:
http://bazaar.launchpad.net/~ubuntu-core-doc/serverguide/trunk/view/head:/serverguide/C/network-auth.xml

We should only recommend SSSD (as it's the only in-main solution) come 16.04 LTS.

They have all been dropped from main[1], specifically libnss-ldap, libpam-ldap, ldap-auth-config/client, and auth-client-config [2].
[1] https://bugs.launchpad.net/ubuntu/+source/libnss-ldap/+bug/1408478
[2] https://bugs.launchpad.net/ubuntu/+source/auth-client-config/+bug/1433285

Peter Matulis (petermatulis) wrote :

Hi Bryan :)

There's a lot of stuff in the Server Guide that is not in main. But I know what you mean. ;)

pM

Changed in serverguide:
importance: Undecided → Wishlist
Andreas Hasenack (ahasenack) wrote :

I'm working on this. I already removed references to these packages you mention from some pages, and will clean up the rest.

Changed in serverguide:
assignee: nobody → Andreas Hasenack (ahasenack)
status: New → In Progress
Andreas Hasenack (ahasenack) wrote :

FWIW, I'm talking about the new server guide, in https://discourse.ubuntu.com/c/server/guide

Andreas Hasenack (ahasenack) wrote :

Cleaned up old references in the ldap pages. Next one is samba which might still point at these.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers